%define		php_name	php%{?php_suffix}
%define		modname	cairo
%define		status		beta
Summary:	Cairo Graphics Library Extension
Summary(pl.UTF-8):	Rozszerzenie biblioteki Cairo
Name:		%{php_name}-pecl-%{modname}
Version:	0.3.2
Release:	6
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/Cairo-%{version}.tgz
# Source0-md5:	e89d0842eef2b3111b4579b4a4753dda
URL:		http://pecl.php.net/package/Cairo/
BuildRequires:	%{php_name}-devel >= 4:5.2.0
BuildRequires:	cairo-devel >= 1.4
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.650
BuildRequires:	which
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-cairo < 0.3.2-5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cairo is a 2D graphics library with support for multiple output
devices. Currently supported output targets include the X Window
System, Quartz, Win32, image buffers, PostScript, PDF, and SVG file
output.

In PECL status of this extension is: %{status}.

%package devel
Summary:	Header files for Cairo PECL extension
Group:		Development/Libraries
# does not require base
Requires:	%{php_name}-devel >= 4:5.2.0
Obsoletes:	php-pecl-cairo-devel < 0.3.2-4

%description devel
Header files for Cairo PECL extension.

%prep
%setup -qc
mv Cairo-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README SYMBOLS TODO
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%files devel
%defattr(644,root,root,755)
%dir %{php_includedir}/ext/cairo
%{php_includedir}/ext/cairo/php_cairo_api.h
%changelog
* Thu Apr 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-cairo.git;a=log;h=auto/th/php-pecl-cairo-0.3.2-6

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 69be11d
- obsolete old php name
- release 6 (by relup.sh)

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 1bbf994
- obsolete old php name in -devel

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> e053857
- php 5.5 rebuild
- release 4 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> aaed834
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> c266836
- support building for multiple php versions

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 7e068b0
- release 2 (by relup.sh)

* Fri Jun 08 2012 Łukasz Kieś <kiesiu@pld-linux.org> 458ff9d
- updated to 0.3.2

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e7a44f
- release 5

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> cd5728a
- fix epoch

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> 035351a
- fix devel deps

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> c7b8934
- add -devel; rel 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 7c1d3c9
- release 2

* Tue Feb 09 2010 Adam Gołębiowski <adamg@pld-linux.org> e90fdc2
- updated to 0.2.0

* Mon Nov 16 2009 zbyniu <zbyniu@pld-linux.org> d00764e
- BR: pkgconfig, which

* Sat Jul 25 2009 Adam Gołębiowski <adamg@pld-linux.org> a659895
- new

